;+
;
; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
;			June 2005
;-
@cm_general
;
; domains sizes
;
COMMON local_coord, jpi, jpj, jpk
COMMON global_mesh_coord, jpiglo, jpjglo, jpkglo
;
; domains positions regarding to the original grid 
;
COMMON zoom_mesh, ixminmesh, ixmaxmesh $
  , iyminmesh, iymaxmesh, izminmesh, izmaxmesh
;
; mesh related coordinates
; see OPA manual 
COMMON longitudes, glamf, glamt, glamu, glamv
COMMON latitudes, gphif, gphit, gphiu, gphiv
COMMON scale_factors, e1t, e2t, e1u, e2u, e1v, e2v, e1f, e2f
COMMON masks, tmask, umaskred, vmaskred, fmaskredx, fmaskredy
; not used (as far as I know...) COMMON coriolis, ff
COMMON vertical, gdept, gdepw, e3t, e3w
COMMON partial_steps, hdept, hdepw, e3t_ps, e3w_ps, e3u_ps, e3v_ps
COMMON keys_grid, key_shift, key_periodic, key_stride, key_gridtype, key_yreverse, key_zreverse, key_partialstep, key_onearth
;
; variable needed to compute the depth in roms
;
COMMON roms, romszinfos
;
; variable needed by xxx
;
COMMON xxx_meshparameters, ccmeshparameters
;
; zoom related definitions
;
COMMON zoom_boundaries, lat1, lat2, lon1, lon2, vert1, vert2
COMMON zoom_size, nxt, nyt, nxu, nyu, nxv, nyv, nxf, nyf, nzt, nzw
COMMON zoom_indexes, $
  firstxt, firstxu, firstxv, firstxf, $
  firstyt, firstyu, firstyv, firstyf, $
  lastxt, lastxu, lastxv, lastxf, $
  lastyt, lastyu, lastyv, lastyf, $
  firstzt, firstzw, lastzt, lastzw
COMMON keys_zoom, key_irregular
;
COMMON liees_a_triangule, triangles_list, twin_corners_up, twin_corners_dn
;




